using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class AccordionDataBinding : System.Web.UI.Page
{
	private static DataTable dataTable = null;

	static AccordionDataBinding()
	{
		dataTable = new DataTable();
		dataTable.Columns.Add("Title", typeof(string));
		dataTable.Columns.Add("Description", typeof(string));

		dataTable.Rows.Add("Accordion", "The Accordion is a web control that allows you to provide multiple panes and display them one at a time. It is like having several CollapsiblePanels where only one can be expanded at a time. The Accordion is implemented as a web control that contains AccordionPane web controls. Each AccordionPane control has a template for its Header and its Content. We keep track of the selected pane so it stays visible across postbacks.");
		dataTable.Rows.Add("Control or Extender", "The Accordion is written using an extender like most of the other extenders in the AJAX Control Toolkit. The extender expects its input in a very specific hierarchy of container elements (like divs/spans), so the Accordion and AccordionPane web controls are used to generate the expected input for the extender. The extender can also be used on its own if you provide it appropriate input.");
		dataTable.Rows.Add("What is ASP.NET AJAX?", "ASP.NET AJAX is a free framework for building a new generation of richer, more interactive, highly personalized cross-browser web applications. This new web development technology from Microsoft integrates cross-browser client script libraries with the ASP.NET 2.0 server-based development framework. ");
	}

	protected void Page_Load(object sender, EventArgs e)
	{
		this.MyAccordion.DataSource = dataTable.Rows;
		this.MyAccordion.DataBind();
	}

	protected string GetColumnValue(object row, string columnName)
	{
		return (row as DataRow)[columnName].ToString();
	}
}
